Package twisted :: Package runner :: Module inetd

[show private | hide private]
[frames | no frames]

## Module twisted.runner.inetd

Twisted inetd.

Stability: semi-stable

Maintainer: Andrew Bennetts<spiv@twistedmatrix.com>

Future Plans: Bugfixes. Specifically for UDP and Sun-RPC, which don't work correctly yet.

Classes
`InetdFactory` |
`InetdProtocol` | Forks a child process on connectionMade, passing the socket as fd 0.

Function Summary
| ``forkPassingFD`(exe, args, env, user, group, fdesc)` Run exe as a child process, passing fdesc as fd 0.
| `main(options)`

Variable Summary
`dict` | `internalProtocols`
`FakeModule` | `portmap`
`dict` | `protocolDict`
`SelectReactor` | `reactor`
`int` | `rpcOk`

Function Details

### forkPassingFD(exe, args, env, user, group, fdesc)

Run exe as a child process, passing fdesc as fd 0.

This will also make sure that fdesc is removed from the parent's reactor.

Variable Details

### internalProtocols

  Type:
    `dict`
  Value:

        {'chargen': <class twisted.protocols.wire.Chargen at 0x87bfa7c>,
         'daytime': <class twisted.protocols.wire.Daytime at 0x87bfc44>,
         'discard': <class twisted.protocols.wire.Discard at 0x87bf96c>,
         'echo': <class twisted.protocols.wire.Echo at 0x87bf904>,
         'time': <class twisted.protocols.wire.Time at 0x87bfccc>}

### portmap

  Type:
    `FakeModule`
  Value:

        <Fake portmap>

### protocolDict

  Type:
    `dict`
  Value:

        {'udp': 17, 'tcp': 6}

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

### rpcOk

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Thu May 8 13:18:57 2003 | http://epydoc.sf.net